<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
	  <OutputType>Library</OutputType>
	  <TargetFramework>net8.0-windows</TargetFramework>
	  <OutputPath>$(SolutionDir)Binary\EEMSMain\Modules</OutputPath>
	  <AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
	  <Nullable>enable</Nullable>
	  <ImplicitUsings>enable</ImplicitUsings>
	  <UseWPF>true</UseWPF>
	  <ManagePackageVersionsCentrally>true</ManagePackageVersionsCentrally>
	  <PublishAot>true</PublishAot>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Icon.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Prism.DryIoc" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Data\GeneralData\GeneralData.csproj" />
    <ProjectReference Include="..\..\Data_ViewModel\GlobalData\GlobalData.csproj" />
    <ProjectReference Include="..\..\UICommon\UICommon.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Properties\PublishProfiles\" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Icon.png" />
  </ItemGroup>

</Project>
